Bug Hunting Session
Bug 94300 - Fill gradients dont work in area content panel of chart sidebar
Summary: Fill gradients dont work in area content panel of chart sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:6.1.0 target:6.4.0 target:6.3.1
Keywords:
Depends on:
Blocks: Chart-Sidebar
  Show dependency treegraph
 
Reported: 2015-09-17 03:52 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-08-08 08:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-17 03:52:46 UTC
When filling an element in the area content panel of the chart sidebar, the fill is always reset to linear black to white or whatever gradient is already set to the element.
Comment 1 Markus Mohrhard 2015-09-20 19:46:25 UTC Comment hidden (obsolete)
Comment 2 Yousuf Philips (jay) (retired) 2015-09-20 22:37:06 UTC
Steps:
1) Insert chart
2) Select chart area
3) Set fill to gradient
4) Gradient wont change from linear black to white
Comment 3 Markus Mohrhard 2015-09-21 00:27:16 UTC
Yeap. Another big regression from the GSoC work.

That merge went horribly wrong for the chart sidebar code.
Comment 4 Markus Mohrhard 2015-09-21 00:43:46 UTC
Ok, cleaning that one up will take about a week.
Comment 5 QA Administrators 2016-11-08 10:25:51 UTC Comment hidden (obsolete, spam)
Comment 6 Commit Notification 2018-04-18 08:24:57 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a585777256d99063d7b8bc5b20982d6f5a57574

tdf#94300: Use named gradients | hatches | bitmaps

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Katarina Behrens (CIB) 2018-04-18 10:24:56 UTC
This bug is not fixed yet, there's more work to do
Comment 8 QA Administrators 2019-04-19 03:00:56 UTC Comment hidden (obsolete)
Comment 9 Cathy Crumbley 2019-05-23 20:26:54 UTC
The problem persists with a small difference.  When gradient is selected in the Sidebar, Light Green 4 and Light Red 4 automatically populate the colors.  Changing the  colors is not possible.  They always revert to Light Green 4 and Light Red 4. 

Note that the same behavior is exhibited for all fillable chart elements, including chart wall, data series, and titles.  

Version: 6.2.3.2 (x64)
Build ID: aecc05fe267cc68dde00352a451aa867b3b546ac
CPU threads: 2; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 10 Commit Notification 2019-07-17 09:05:10 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0e15fb798a0d1fc8cc221ae2334411fac144f173%5E%21

tdf#94300: custom gradients apply also from chart sidebar

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Katarina Behrens (CIB) 2019-07-17 09:47:29 UTC
Let's close this, if not properly fixed pls shout
Comment 12 Commit Notification 2019-08-07 21:31:41 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/dda72e5088a20360ebf18900e608994311fa0f5c%5E%21

tdf#94300: custom gradients apply also from chart sidebar

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.